Name:		grc
Version:	0.70
Release:	7%{?dist}
Summary:	GUI for Gnuradio

Group:		Applications/Engineering
License:	GPLv2+ and CC-BY-SA
URL:		http://gnuradio.org/trac/wiki/GNURadioCompanion
Source0:	http://www.joshknows.com/download/grc/releases/stable/%{name}_%{version}.tar.gz
Source1:	grc.desktop
Source2:	grc

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
Requires:	gnuradio
Requires:	PyXML
Provides:	gnuradio-companion

BuildArch:	noarch

%description
The GNU Radio Companion is a preliminary graphical user interface
which allows GNU Radio components to be put together graphically.
It is currently under development by Josh Blum. GNU Radio Companion
encompasses over 200 blocks from the GNU Radio Project.

%prep
%setup -q -n %{name}_%{version}

%build

%install
rm -fr $RPM_BUILD_ROOT
install -Dm 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/grc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/data $RPM_BUILD_ROOT%{_datadir}/%{name}/examples $RPM_BUILD_ROOT%{_datadir}/%{name}/src
cp -prv data $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -prv examples $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -prv src $RPM_BUILD_ROOT%{_datadir}/%{name}
desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc readme.txt license/creative_commons_legal_code.txt license/free_software_message.txt license/gpl.txt notes/release_notes.txt notes/creating_a_signal_block_def.txt notes/todo.txt notes/programming_style.txt
%{_bindir}/grc
%{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/examples
%{_datadir}/%{name}/src
%{_datadir}/applications/fedora-grc.desktop

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.70-5
- Fix the categories and icon location

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 7 2009 Marek Mahut <mmahut@fedoraproject.org> - 0.70-3
- RHBZ#473924 Unowned directories

* Fri Aug 8 2008 Marek Mahut <mmahut@fedoraproject.org> - 0.70-2
- Initial package release
